org.apache.maven.scm.provider.cvslib.command.tag

## Class CvsTagCommandTckTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.apache.maven.scm.ScmTestCase
        - - org.apache.maven.scm.ScmTckTestCase
          - - org.apache.maven.scm.tck.command.tag.TagCommandTckTest
            - - org.apache.maven.scm.provider.cvslib.command.tag.CvsTagCommandTckTest

All Implemented Interfaces:
  junit.framework.Test

    public class CvsTagCommandTckTest
    extends TagCommandTckTest

This test tests the tag command.

Version:
  $Id: CvsTagCommandTckTest.java 685548 2008-08-13 13:35:49Z vsiveton $
Author:
  Brett Porter

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmTestCase

`GMT_TIME_ZONE`

### Fields inherited from class org.codehaus.plexus.PlexusTestCase

`basedir, container`

### Constructor Summary

Constructors
Constructor and Description
`CvsTagCommandTckTest()`

### Method Summary

Methods
`protected String` `getModule()`
`String` `getScmUrl()`
`void` `initRepo()` Initialize repository at the `ScmTckTestCase.getScmUrl()` location with the files in `ScmTckTestCase.getScmFileNames()`

### Methods inherited from class org.apache.maven.scm.tck.command.tag.TagCommandTckTest

`testTagCommandTest`

### Methods inherited from class org.apache.maven.scm.ScmTckTestCase

`addToWorkingTree, checkOut, getScmFileNames, getScmRepository, mapFilesByPath, setUp`

### Methods inherited from class org.apache.maven.scm.ScmTestCase

`assertCommandLine, assertFile, assertPath, assertResultIsSuccess, execute, getAssertionCopy, getDate, getDate, getDate, getRepository, getRepositoryRoot, getScmFileSet, getScmManager, getUpdatingCopy, getWorkingCopy, getWorkingDirectory, isSystemCmd, makeDirectory, makeFile, makeFile, makeScmRepository, setDebugExecute`

### Methods inherited from class org.codehaus.plexus.PlexusTestCase

`createContainerInstance, customizeContext, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getContainer, getCustomConfiguration, getResourceAsStream, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, release, tearDown`

### Methods inherited from class junit.framework.TestCase

`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CvsTagCommandTckTest

    public CvsTagCommandTckTest()

### Method Detail

#### getScmUrl

    public String getScmUrl()

Specified by:
  `getScmUrl` in class `ScmTckTestCase`
Returns:
  A provider spesific and valid url for the repository

#### getModule

    protected String getModule()

Overrides:
  `getModule` in class `ScmTestCase`

#### initRepo

    public void initRepo()
                  throws Exception

Initialize repository at the `ScmTckTestCase.getScmUrl()` location with the files in `ScmTckTestCase.getScmFileNames()`

The setup is also asserting on the existence of these files.
This should only be used by this class (thus do not call this method from derived classes) Note: 'svnadmin' should be a system command.

Specified by:
  `initRepo` in class `ScmTckTestCase`
Throws:
  `Exception` - if any